﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ITEMRECOM') 
 CREATE TABLE T_OCPOS_ITEMRECOM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCONTROLMODE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATINGSUBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATINGSELECT CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ITEMRECOM_L') 
 CREATE TABLE T_OCPOS_ITEMRECOM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ITEMRECOMCHAN') 
 CREATE TABLE T_OCPOS_ITEMRECOMCHAN (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ITEMRECOMORG') 
 CREATE TABLE T_OCPOS_ITEMRECOMORG (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ITEMRECOMSET') 
 CREATE TABLE T_OCPOS_ITEMRECOMSET (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT '1' NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FITEMLABELID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTATTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ITEMRECOMSTORE') 
 CREATE TABLE T_OCPOS_ITEMRECOMSTORE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSLIDESHOW_L') 
 CREATE TABLE T_OCPOS_OLSLIDESHOW_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSLIDESHOWCHAN') 
 CREATE TABLE T_OCPOS_OLSLIDESHOWCHAN (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSLIDESHOWORG') 
 CREATE TABLE T_OCPOS_OLSLIDESHOWORG (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSLIDESHOWSET') 
 CREATE TABLE T_OCPOS_OLSLIDESHOWSET (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPICTURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSORT INT DEFAULT 0 NOT NULL,
FISCUSTOMJUMP CHAR(1) DEFAULT '0' NOT NULL,
FJUMPTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJUMPOBJECT BIGINT DEFAULT 0 NOT NULL,
FJUMPURL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSLIDESHOWSTORE') 
 CREATE TABLE T_OCPOS_OLSLIDESHOWSTORE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSLIDESHOW') 
 CREATE TABLE T_OCPOS_OLSLIDESHOW (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCONTROLMODE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNITEM_R' AND KSQL_COL_NAME ='FINISRCSEQ') 
 ALTER TABLE T_OCPOS_SALERETURNITEM_R ADD (FINISRCSEQ INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEITEM_R' AND KSQL_COL_NAME ='FINISRCSEQ') 
 ALTER TABLE T_OCPOS_SALECHANGEITEM_R ADD (FINISRCSEQ INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPOINT' AND KSQL_COL_NAME ='FPOINTRETTYPE') 
 ALTER TABLE T_OCPOS_SALERETURNPOINT ADD (FPOINTRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNTICKET' AND KSQL_COL_NAME ='FTICKETRETTYPE') 
 ALTER TABLE T_OCPOS_SALERETURNTICKET ADD (FTICKETRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNGIFT' AND KSQL_COL_NAME ='FGIFTRETTYPE') 
 ALTER TABLE T_OCPOS_SALERETURNGIFT ADD (FGIFTRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNGIFT' AND KSQL_COL_NAME ='FINISENDGOODSSEQ') 
 ALTER TABLE T_OCPOS_SALERETURNGIFT ADD (FINISENDGOODSSEQ VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPROM' AND KSQL_COL_NAME ='FPROMOTERETTYPE') 
 ALTER TABLE T_OCPOS_SALERETURNPROM ADD (FPROMOTERETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPOINT' AND KSQL_COL_NAME ='FPOINTRETTYPE') 
 ALTER TABLE T_OCPOS_SALEORDERPOINT ADD (FPOINTRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPOINT' AND KSQL_COL_NAME ='FPOINTEXEBILLID') 
 ALTER TABLE T_OCPOS_SALEORDERPOINT ADD (FPOINTEXEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERTICKET' AND KSQL_COL_NAME ='FTICKETRETTYPE') 
 ALTER TABLE T_OCPOS_SALEORDERTICKET ADD (FTICKETRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERTICKET' AND KSQL_COL_NAME ='FTICKETEXEBILLID') 
 ALTER TABLE T_OCPOS_SALEORDERTICKET ADD (FTICKETEXEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERGIFT' AND KSQL_COL_NAME ='FGIFTRETTYPE') 
 ALTER TABLE T_OCPOS_SALEORDERGIFT ADD (FGIFTRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERGIFT' AND KSQL_COL_NAME ='FINISENDGOODSSEQ') 
 ALTER TABLE T_OCPOS_SALEORDERGIFT ADD (FINISENDGOODSSEQ VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPOINT' AND KSQL_COL_NAME ='FPOINTRETTYPE') 
 ALTER TABLE T_OCPOS_SALECHANGEPOINT ADD (FPOINTRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGETICKET' AND KSQL_COL_NAME ='FTICKETRETTYPE') 
 ALTER TABLE T_OCPOS_SALECHANGETICKET ADD (FTICKETRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEGIFT' AND KSQL_COL_NAME ='FGIFTRETTYPE') 
 ALTER TABLE T_OCPOS_SALECHANGEGIFT ADD (FGIFTRETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEGIFT' AND KSQL_COL_NAME ='FINISENDGOODSSEQ') 
 ALTER TABLE T_OCPOS_SALECHANGEGIFT ADD (FINISENDGOODSSEQ VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPROM' AND KSQL_COL_NAME ='FPROMOTERETTYPE') 
 ALTER TABLE T_OCPOS_SALECHANGEPROM ADD (FPROMOTERETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPROMSUB' AND KSQL_COL_NAME ='FPROMOTERETTYPE') 
 ALTER TABLE T_OCPOS_SALEORDERPROMSUB ADD (FPROMOTERETTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPROMSUB' AND KSQL_COL_NAME ='FPROMOTEEXEBILLID') 
 ALTER TABLE T_OCPOS_SALEORDERPROMSUB ADD (FPROMOTEEXEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPROMSUB' AND KSQL_COL_NAME ='FINIEXEGOODSSEQ') 
 ALTER TABLE T_OCPOS_SALEORDERPROMSUB ADD (FINIEXEGOODSSEQ VARCHAR(100) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
