﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_PAYINTERFACELOG') 
 CREATE TABLE T_OCPOS_PAYINTERFACELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREQUESTPARAM NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FRESPONSEBODY NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FISEXCEPTION CHAR(1) DEFAULT '0' NOT NULL,
FEXCEPTIONMESSAGE NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDER_T') 
 CREATE TABLE T_OCPOS_SALEORDER_T (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPHONENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISENAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEADDR NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTERPRISETEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPENQUOTYPE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERITEM') 
 CREATE TABLE T_OCPOS_SALEORDERITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXATTRID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FSALEDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FISBOOK CHAR(1) DEFAULT '0' NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE CHAR(1) DEFAULT 'G' NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPE CHAR(1) DEFAULT '1' NOT NULL,
FBOOKPAYTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERPROMSUB') 
 CREATE TABLE T_OCPOS_SALEORDERPROMSUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOTIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FISGIFT CHAR(1) DEFAULT '0' NOT NULL,
FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSCART') 
 CREATE TABLE T_OCPOS_OLSCART (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FBARCODEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSCONFIG') 
 CREATE TABLE T_OCPOS_OLSCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOGO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPSECRET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTEMPLATE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDATE DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRESTORESETTING NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSCONFIG_L') 
 CREATE TABLE T_OCPOS_OLSCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRESTORESETTING NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSCR_CUS') 
 CREATE TABLE T_OCPOS_OLSSCR_CUS (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSCR_ORG') 
 CREATE TABLE T_OCPOS_OLSSCR_ORG (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSCRIMGE_FJ') 
 CREATE TABLE T_OCPOS_OLSSCRIMGE_FJ (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSW_CUS') 
 CREATE TABLE T_OCPOS_OLSW_CUS (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSW_ORG') 
 CREATE TABLE T_OCPOS_OLSW_ORG (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSWDENTRY_FJ') 
 CREATE TABLE T_OCPOS_OLSWDENTRY_FJ (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSWINDOW') 
 CREATE TABLE T_OCPOS_OLSWINDOW (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSCROLLIMGE') 
 CREATE TABLE T_OCPOS_OLSSCROLLIMGE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FIMG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSWINDOW_ENTRY') 
 CREATE TABLE T_OCPOS_OLSWINDOW_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FWINDOWNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FIMAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSWINDOW_DETAIL') 
 CREATE TABLE T_OCPOS_OLSWINDOW_DETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERTICKET') 
 CREATE TABLE T_OCPOS_SALEORDERTICKET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FGOODSSEQ VARCHAR(255) DEFAULT ' ' NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDER_O') 
 CREATE TABLE T_OCPOS_SALEORDER_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FSALESTARTTIME DATETIME,
FSALEENDTIME DATETIME,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FISCOMBINEPAY CHAR(1) DEFAULT '0' NOT NULL,
FINITIALBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISMERGEBILL CHAR(1) DEFAULT '0' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FISINTEGRALSEND CHAR(1) DEFAULT '0' NOT NULL,
FISCOUPONSEND CHAR(1) DEFAULT '0' NOT NULL,
FISACTIVATETICKET CHAR(1) DEFAULT '0' NOT NULL,
FNOTCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
FFINALBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERFIN') 
 CREATE TABLE T_OCPOS_SALEORDERFIN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETLLEMENTID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRADEREFERENCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTICKETINFOID BIGINT DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPAYTIME DATETIME,
FSETTLEMENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPAYWAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FALRSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEDATE DATETIME,
FCREDITACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCREDITFLOWID BIGINT DEFAULT 0 NOT NULL,
FBANKSTAGEACTID BIGINT DEFAULT 0 NOT NULL,
FISCREDITCHECK CHAR(1) DEFAULT '0' NOT NULL,
FSTAGENUMS INT DEFAULT 0 NOT NULL,
FSTAGEFEE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERITEM_R') 
 CREATE TABLE T_OCPOS_SALEORDERITEM_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCMANUALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCNORECEXPTFINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCRECEXPTFINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCPRODISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCCOUPONDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCFINALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCRECEFINALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCNORECEFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLASTBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FLASTINISRCBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTINISRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FINISRCBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FENTRYSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FISPUSHDOWN CHAR(1) DEFAULT '0' NOT NULL,
FSRCLASTBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCLASTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSCROLLIMG') 
 CREATE TABLE T_OCPOS_OLSSCROLLIMG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEDATE DATETIME,
FPICTURE1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE5 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE3 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE4 NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDER_F') 
 CREATE TABLE T_OCPOS_SALEORDER_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTILLNEEDTOPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIGNOREDECIMALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCTYPE CHAR(1) DEFAULT '1' NOT NULL,
FDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOREVALUEBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNCASHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERITEM_F') 
 CREATE TABLE T_OCPOS_SALEORDERITEM_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTTAKEORDERDATE DATETIME,
FDEPOSITSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINGROUPBUYINGPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCONTROLPRICE CHAR(1) DEFAULT '0' NOT NULL,
FPRICETYPE BIGINT DEFAULT 0 NOT NULL,
FPRICETYPENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMANUALDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADMANUALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETMANUALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADPROMDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETPROMDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADCOUPONDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETCOUPONDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSHAREDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADSUMSHAREDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETSUMSHAREDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINERECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINEREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNORECEFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEDFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADPUSHRETFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNORECEEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYMENTSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADREFUNDBOOKFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDER') 
 CREATE TABLE T_OCPOS_SALEORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FSALEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSOURCE CHAR(1) DEFAULT 'A' NOT NULL,
FTERMINALTYPE CHAR(1) DEFAULT 'R' NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOMERPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMERADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOLLECTMODE CHAR(5) DEFAULT '01' NOT NULL,
FRECEIVETYPEID BIGINT DEFAULT 0 NOT NULL,
FSUMTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERDR') 
 CREATE TABLE T_OCPOS_SALEORDERDR (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE CHAR(1) DEFAULT 'G' NOT NULL,
FSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYSTATUSID BIGINT DEFAULT 0 NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FISRESERVE CHAR(1) DEFAULT '0' NOT NULL,
FRESERVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL,
FSNMAINFILEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERITEM_S') 
 CREATE TABLE T_OCPOS_SALEORDERITEM_S (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMUSTRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCMUSTRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERITEM_O') 
 CREATE TABLE T_OCPOS_SALEORDERITEM_O (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTIONMODEID BIGINT DEFAULT 0 NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDISTRIBUTIONMODE CHAR(1) DEFAULT ' ' NOT NULL,
FDELIVERYTIME DATETIME,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL,
FOVERSALEPOLICYID BIGINT DEFAULT 0 NOT NULL,
FOVERSALEPOLICYENTRYID BIGINT DEFAULT 0 NOT NULL,
FGIFTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPROMOTESEQ INT DEFAULT 0 NOT NULL,
FDRAWQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSENDSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINAL') 
 CREATE TABLE T_OCPOS_SALEFINAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FSALEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSOURCE CHAR(1) DEFAULT 'A' NOT NULL,
FTERMINALTYPE CHAR(1) DEFAULT 'R' NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOMERPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMERADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOLLECTMODE CHAR(5) DEFAULT '01' NOT NULL,
FRECEIVETYPEID BIGINT DEFAULT 0 NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINAL_F') 
 CREATE TABLE T_OCPOS_SALEFINAL_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTILLNEEDTOPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCTYPE CHAR(1) DEFAULT '1' NOT NULL,
FIGNOREDECIMALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOREVALUEBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNCASHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINAL_O') 
 CREATE TABLE T_OCPOS_SALEFINAL_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FSALESTARTTIME DATETIME,
FSALEENDTIME DATETIME,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FISCOMBINEPAY CHAR(1) DEFAULT '0' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FINITIALBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISMERGEBILL CHAR(1) DEFAULT '0' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINALFIN') 
 CREATE TABLE T_OCPOS_SALEFINALFIN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETLLEMENTID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRADEREFERENCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTICKETINFOID BIGINT DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPAYTIME DATETIME,
FSETTLEMENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPAYWAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FALRSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEDATE DATETIME,
FCREDITACCOUNTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINALITEM') 
 CREATE TABLE T_OCPOS_SALEFINALITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXATTRID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FSALEDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FISBOOK CHAR(1) DEFAULT '0' NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINALITEM_F') 
 CREATE TABLE T_OCPOS_SALEFINALITEM_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMANUALDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSHAREDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINERECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTTAKEORDERDATE DATETIME,
FFINALPAYMENTSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEDFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETYPE BIGINT DEFAULT 0 NOT NULL,
FISCONTROLPRICE CHAR(1) DEFAULT '0' NOT NULL,
FPRICETYPENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNORECEFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNORECEEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINALITEM_O') 
 CREATE TABLE T_OCPOS_SALEFINALITEM_O (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTIONMODEID BIGINT DEFAULT 0 NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDISTRIBUTIONMODE CHAR(1) DEFAULT ' ' NOT NULL,
FDELIVERYTIME DATETIME,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINALITEM_R') 
 CREATE TABLE T_OCPOS_SALEFINALITEM_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FENTRYSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCLASTBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCLASTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINALITEM_S') 
 CREATE TABLE T_OCPOS_SALEFINALITEM_S (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEFINALAR') 
 CREATE TABLE T_OCPOS_SALEFINALAR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FARSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FARMEMBERID BIGINT DEFAULT 0 NOT NULL,
FARPHONENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FARBIZDATE DATETIME,
FARBRANCHID BIGINT DEFAULT 0 NOT NULL,
FARENTRYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTHISARSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARALRSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTARSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FARCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSRCRIBILLSTENTRYID BIGINT DEFAULT 0 NOT NULL,
FARSRCBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURN') 
 CREATE TABLE T_OCPOS_SALERETURN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FSALEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSOURCE CHAR(1) DEFAULT 'A' NOT NULL,
FTERMINALTYPE CHAR(1) DEFAULT 'R' NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOMERPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMERADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOLLECTMODE CHAR(5) DEFAULT '01' NOT NULL,
FRECEIVETYPEID BIGINT DEFAULT 0 NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURN_F') 
 CREATE TABLE T_OCPOS_SALERETURN_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTILLNEEDTOPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIGNOREDECIMALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCTYPE CHAR(1) DEFAULT '1' NOT NULL,
FDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOREVALUEBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNCASHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURN_O') 
 CREATE TABLE T_OCPOS_SALERETURN_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FSALESTARTTIME DATETIME,
FSALEENDTIME DATETIME,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FISCOMBINEPAY CHAR(1) DEFAULT '0' NOT NULL,
FINITIALBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISMERGEBILL CHAR(1) DEFAULT '0' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFINALBILLID BIGINT DEFAULT 0 NOT NULL,
FNOTCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
FAPPROVALNODE CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURN_T') 
 CREATE TABLE T_OCPOS_SALERETURN_T (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPHONENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISENAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEADDR NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTERPRISETEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FISOPENQUO CHAR(1) DEFAULT '0' NOT NULL,
FOPENQUOTYPE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNDR') 
 CREATE TABLE T_OCPOS_SALERETURNDR (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYAVARETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE CHAR(1) DEFAULT 'G' NOT NULL,
FSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYSTATUSID BIGINT DEFAULT 0 NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FISRESERVE CHAR(1) DEFAULT '0' NOT NULL,
FRESERVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL,
FSNMAINFILEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNFIN') 
 CREATE TABLE T_OCPOS_SALERETURNFIN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETLLEMENTID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRADEREFERENCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTICKETINFOID BIGINT DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPAYTIME DATETIME,
FSETTLEMENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPAYWAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FALRSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNITEM') 
 CREATE TABLE T_OCPOS_SALERETURNITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXATTRID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FSALEDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FISBOOK CHAR(1) DEFAULT '0' NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNITEM_F') 
 CREATE TABLE T_OCPOS_SALERETURNITEM_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMANUALDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSHAREDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINERECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYMENTSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEDFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETYPE BIGINT DEFAULT 0 NOT NULL,
FISCONTROLPRICE CHAR(1) DEFAULT '0' NOT NULL,
FPRICETYPENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNORECEFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNORECEEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADMANUALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADCOUPONDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETRECEFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNITEM_O') 
 CREATE TABLE T_OCPOS_SALERETURNITEM_O (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTIONMODEID BIGINT DEFAULT 0 NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDISTRIBUTIONMODE CHAR(1) DEFAULT ' ' NOT NULL,
FDELIVERYTIME DATETIME,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNITEM_R') 
 CREATE TABLE T_OCPOS_SALERETURNITEM_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCMANUALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCNORECEXPTFINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCRECEXPTFINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCPRODISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCCOUPONDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCFINALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCRECEFINALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCNORECEFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLASTBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FLASTINISRCBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTINISRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FINISRCBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FENTRYSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FISPUSHDOWN CHAR(1) DEFAULT '0' NOT NULL,
FSRCLASTBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCLASTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNITEM_S') 
 CREATE TABLE T_OCPOS_SALERETURNITEM_S (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMUSTRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNPROM') 
 CREATE TABLE T_OCPOS_SALERETURNPROM (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONACTID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOTIONACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISGIFT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERGIFT') 
 CREATE TABLE T_OCPOS_SALEORDERGIFT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSSEQ VARCHAR(100) DEFAULT ' ' NOT NULL,
FSENDGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERPOINT') 
 CREATE TABLE T_OCPOS_SALEORDERPOINT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSSEQ VARCHAR(100) DEFAULT ' ' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FMPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOINT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERDR_O') 
 CREATE TABLE T_OCPOS_SALEORDERDR_O (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPHONENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISTRICTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDELIVERYTIME DATETIME,
FDELIVERYMODEID BIGINT DEFAULT 0 NOT NULL,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FISSELFPICKUP CHAR(1) DEFAULT '0' NOT NULL,
FSELFPICKUPTIME DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDELIVERYDRAWQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCDELIVERYENTRYID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYAVARETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNDR_O') 
 CREATE TABLE T_OCPOS_SALERETURNDR_O (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPHONENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISTRICTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDELIVERYTIME DATETIME,
FDELIVERYMODEID BIGINT DEFAULT 0 NOT NULL,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FISSELFPICKUP CHAR(1) DEFAULT '0' NOT NULL,
FSELFPICKUPTIME DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRETURNREASONID BIGINT DEFAULT 0 NOT NULL,
FRETURNTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FEXPRESSCOMPID BIGINT DEFAULT 0 NOT NULL,
FEXPRESSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCDELIVERYENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNPOINT') 
 CREATE TABLE T_OCPOS_SALERETURNPOINT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSSEQ VARCHAR(100) DEFAULT ' ' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FMPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOINT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALEORDERPRO') 
 CREATE TABLE T_OCPOS_SALEORDERPRO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECUTE CHAR(1) DEFAULT '0' NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FPROMOTIONID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOTIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTIONTHEME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROMOTIONACTIONID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FEFFECTIONDATE DATETIME,
FINVALIDDATE DATETIME,
FAPPLYMEMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISOLINVITATE CHAR(1) DEFAULT '0' NOT NULL,
FPROMOTERULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_IMPREST') 
 CREATE TABLE T_OCPOS_IMPREST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FIMPRESTORGID BIGINT DEFAULT 0 NOT NULL,
FIMPRESTSTOREID BIGINT DEFAULT 0 NOT NULL,
FIMPRESTDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_IMPRESTENTRY') 
 CREATE TABLE T_OCPOS_IMPRESTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FIMPRESTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_PAYMENT') 
 CREATE TABLE T_OCPOS_PAYMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FPAYDATE DATETIME,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FPAYSTOREID BIGINT DEFAULT 0 NOT NULL,
FPAYPARTID BIGINT DEFAULT 0 NOT NULL,
FPAYERID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_PAYMENTENTRY') 
 CREATE TABLE T_OCPOS_PAYMENTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYMENTDATE DATETIME,
FBANKACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSAMEDAYPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAMEDAYNOPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEFOREBALAPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEFOREBALAFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURBALAFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURBIZNOFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDCUSTOMERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGUESTABJAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDIFFPATMENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTODAYBALAPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_PAYMENTSTRING') 
 CREATE TABLE T_OCPOS_PAYMENTSTRING (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTRINGPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTRINGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGE') 
 CREATE TABLE T_OCPOS_SALECHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FSALEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSOURCE CHAR(1) DEFAULT 'A' NOT NULL,
FTERMINALTYPE CHAR(1) DEFAULT 'R' NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOMERPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMERADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOLLECTMODE CHAR(5) DEFAULT '01' NOT NULL,
FRECEIVETYPEID BIGINT DEFAULT 0 NOT NULL,
FSUMTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGEITEMTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FMAKEUPBALANCEMODE CHAR(1) DEFAULT ' ' NOT NULL,
FISMAKEUPBALANCE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGE_F') 
 CREATE TABLE T_OCPOS_SALECHANGE_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTILLNEEDTOPAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIGNOREDECIMALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREDINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCTYPE CHAR(1) DEFAULT '1' NOT NULL,
FDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOREVALUEBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCHANGEPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGE_O') 
 CREATE TABLE T_OCPOS_SALECHANGE_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FSALESTARTTIME DATETIME,
FSALEENDTIME DATETIME,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FISCOMBINEPAY CHAR(1) DEFAULT '0' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISMERGEBILL CHAR(1) DEFAULT '0' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FISINTEGRALSEND CHAR(1) DEFAULT '0' NOT NULL,
FISCOUPONSEND CHAR(1) DEFAULT '0' NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFINALBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGE_T') 
 CREATE TABLE T_OCPOS_SALECHANGE_T (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPHONENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISENAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEADDR NVARCHAR(500) DEFAULT ' ' NOT NULL,
FENTERPRISETEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTERPRISEEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPENQUOTYPE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEDR') 
 CREATE TABLE T_OCPOS_SALECHANGEDR (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYAVARETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE CHAR(1) DEFAULT 'G' NOT NULL,
FSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYSTATUSID BIGINT DEFAULT 0 NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FISRESERVE CHAR(1) DEFAULT '0' NOT NULL,
FRESERVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL,
FSNMAINFILEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEDR_O') 
 CREATE TABLE T_OCPOS_SALECHANGEDR_O (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPHONENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISTRICTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDELIVERYTIME DATETIME,
FDELIVERYMODEID BIGINT DEFAULT 0 NOT NULL,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FISSELFPICKUP CHAR(1) DEFAULT '0' NOT NULL,
FSELFPICKUPTIME DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDELIVERYDRAWQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCDELIVERYENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEFIN') 
 CREATE TABLE T_OCPOS_SALECHANGEFIN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETLLEMENTID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRADEREFERENCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTICKETINFOID BIGINT DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPAYTIME DATETIME,
FSETTLEMENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPAYWAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FALRSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEDATE DATETIME,
FCREDITACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCREDITFLOWID BIGINT DEFAULT 0 NOT NULL,
FBANKSTAGEACTID BIGINT DEFAULT 0 NOT NULL,
FISCREDITCHECK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEITEM') 
 CREATE TABLE T_OCPOS_SALECHANGEITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXATTRID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FSALEDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FISBOOK CHAR(1) DEFAULT '0' NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE CHAR(1) DEFAULT 'G' NOT NULL,
FSALEOPTION CHAR(1) DEFAULT '1' NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEITEM_F') 
 CREATE TABLE T_OCPOS_SALECHANGEITEM_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTTAKEORDERDATE DATETIME,
FDEPOSITSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINGROUPBUYINGPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCONTROLPRICE CHAR(1) DEFAULT '0' NOT NULL,
FPRICETYPE BIGINT DEFAULT 0 NOT NULL,
FPRICETYPENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMANUALDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADMANUALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETMANUALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADPROMDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETPROMDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADCOUPONDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETCOUPONDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSHAREDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADSUMSHAREDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADRETSUMSHAREDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINERECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINEREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNORECEFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEDFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADPUSHRETFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNORECEEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYMENTSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEITEM_O') 
 CREATE TABLE T_OCPOS_SALECHANGEITEM_O (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTIONMODEID BIGINT DEFAULT 0 NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDISTRIBUTIONMODE CHAR(1) DEFAULT ' ' NOT NULL,
FDELIVERYTIME DATETIME,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL,
FOVERSALEPOLICYID BIGINT DEFAULT 0 NOT NULL,
FOVERSALEPOLICYENTRYID BIGINT DEFAULT 0 NOT NULL,
FGIFTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPROMOTESEQ INT DEFAULT 0 NOT NULL,
FDRAWQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSENDSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEITEM_R') 
 CREATE TABLE T_OCPOS_SALECHANGEITEM_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCMANUALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCNORECEXPTFINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCRECEXPTFINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCPRODISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCCOUPONDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCINTEGRALDISTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCFINALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCRECEFINALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCNORECEFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLASTBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FLASTINISRCBILLID BIGINT DEFAULT 0 NOT NULL,
FLASTINISRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FINISRCBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FENTRYSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTRYSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FISPUSHDOWN CHAR(1) DEFAULT '0' NOT NULL,
FSRCLASTBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCLASTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEITEM_S') 
 CREATE TABLE T_OCPOS_SALECHANGEITEM_S (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMUSTRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCMUSTRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALECHANGEPROM') 
 CREATE TABLE T_OCPOS_SALECHANGEPROM (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOTIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FISGIFT CHAR(1) DEFAULT '0' NOT NULL,
FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SHIFT') 
 CREATE TABLE T_OCPOS_SHIFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSHIFTSTOREID BIGINT DEFAULT 0 NOT NULL,
FSHIFTCASHIERID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTARTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENDBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTRADECOUNT INT DEFAULT 0 NOT NULL,
FCOLLECTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SHIFTENTRY') 
 CREATE TABLE T_OCPOS_SHIFTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_CREDITADJUST') 
 CREATE TABLE T_OCPOS_CREDITADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FADJUSTERID BIGINT DEFAULT 0 NOT NULL,
FADJUSTDATE DATETIME,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FADJUSTBRANCHID BIGINT DEFAULT 0 NOT NULL,
FADJUSTTYPE CHAR(1) DEFAULT '1' NOT NULL,
FADJUSTREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_CREDITADJENTRY') 
 CREATE TABLE T_OCPOS_CREDITADJENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCUSTOMERPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALRSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEDATE DATETIME,
FNEWRECEIVABLEDATE DATETIME,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTID BIGINT DEFAULT 0 NOT NULL,
FSALEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FFINENTRYID BIGINT DEFAULT 0 NOT NULL,
FCREDITACCOUNTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_CLEANSERVE') 
 CREATE TABLE T_OCPOS_CLEANSERVE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSERVICETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FOPTIONSCORE INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FAVERAGESCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSALESMANID BIGINT DEFAULT 0 NOT NULL,
FESTIMATEDATE DATETIME,
FCOMPLETIONDATE DATETIME,
FAPPOINTMENTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SERVEEVALUATE') 
 CREATE TABLE T_OCPOS_SERVEEVALUATE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPRAISEDAY INT DEFAULT 0 NOT NULL,
FSERVICETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SERVEEVALUATE_L') 
 CREATE TABLE T_OCPOS_SERVEEVALUATE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SERVEEVALUATESET') 
 CREATE TABLE T_OCPOS_SERVEEVALUATESET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '1' NOT NULL,
FEVALUATION CHAR(1) DEFAULT 'A' NOT NULL,
FOPTION CHAR(1) DEFAULT 'A' NOT NULL,
FOPTIONSCORE CHAR(1) DEFAULT '1' NOT NULL,
FEVALUATETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPTIONTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCUSTOMSCORE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SERVEEVALUATESUB') 
 CREATE TABLE T_OCPOS_SERVEEVALUATESUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FCUSTOMSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPTIONTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSHARECLICK') 
 CREATE TABLE T_OCPOS_OLSSHARECLICK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSTOREID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FGUIDEID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCLICKTIMES INT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_CHANGERECORD') 
 CREATE TABLE T_OCPOS_CHANGERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSALEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDELIVERGOODSID BIGINT DEFAULT 0 NOT NULL,
FDELIVERUNITID BIGINT DEFAULT 0 NOT NULL,
FDELIVERSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDELIVERDELIVERYTIME DATETIME,
FDISTRICTID BIGINT DEFAULT 0 NOT NULL,
FFULLADDRESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FDELIVERYMODE BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDELIVERPHONENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNEWDELIVERYTIME DATETIME,
FNEWDISTRICTID BIGINT DEFAULT 0 NOT NULL,
FNEWFULLADDRESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNEWINSTALLTIME DATETIME,
FNEWCONSIGNEE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNEWPHONENUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ABNORMALORDER') 
 CREATE TABLE T_OCPOS_ABNORMALORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSALEBRANCHID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORDERSOURCE CHAR(1) DEFAULT 'A' NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FTERMINALTYPE CHAR(1) DEFAULT 'R' NOT NULL,
FNOTCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
FCUSTOMERNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOMERPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMERADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVETYPEID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ABNORMALORDER_O') 
 CREATE TABLE T_OCPOS_ABNORMALORDER_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSALESTARTTIME DATETIME,
FSALEENDTIME DATETIME,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FISACTIVATETICKET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_ABNORMALORDERE') 
 CREATE TABLE T_OCPOS_ABNORMALORDERE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FGOODSCLASSID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISBOOK CHAR(1) DEFAULT '0' NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FSALEDEPARTMENTID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
