﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_NOBUSINESS') 
 CREATE TABLE T_OCPOS_NOBUSINESS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FUNITTYPEID BIGINT DEFAULT 0 NOT NULL,
FALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_NOBUSINESSENTRY') 
 CREATE TABLE T_OCPOS_NOBUSINESSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FITEMBRANDID BIGINT DEFAULT 0 NOT NULL,
FITEMCLASSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEFINAL' AND KSQL_COL_NAME ='FNOTCONFIRM') 
 ALTER TABLE T_OCPOS_SALEFINAL ADD (FNOTCONFIRM CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEFINALAR' AND KSQL_COL_NAME ='FCREDITACCOUNTID') 
 ALTER TABLE T_OCPOS_SALEFINALAR ADD (FCREDITACCOUNTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_CLEANSERVE' AND KSQL_COL_NAME ='FSOURCEBILLID') 
 ALTER TABLE T_OCPOS_CLEANSERVE ADD (FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERITEM' AND KSQL_COL_NAME ='FMATERIALINVID') 
 ALTER TABLE T_OCPOS_SALEORDERITEM ADD (FMATERIALINVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEFINALITEM' AND KSQL_COL_NAME ='FMATERIALINVID') 
 ALTER TABLE T_OCPOS_SALEFINALITEM ADD (FMATERIALINVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNITEM' AND KSQL_COL_NAME ='FMATERIALINVID') 
 ALTER TABLE T_OCPOS_SALERETURNITEM ADD (FMATERIALINVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEITEM' AND KSQL_COL_NAME ='FMATERIALINVID') 
 ALTER TABLE T_OCPOS_SALECHANGEITEM ADD (FMATERIALINVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGE' AND KSQL_COL_NAME ='FNOTCONFIRM') 
 ALTER TABLE T_OCPOS_SALECHANGE ADD (FNOTCONFIRM CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSPARAMNOTE') 
 CREATE TABLE T_OCPOS_OLSPARAMNOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARAMID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARAM NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FDATE DATETIME,
FOPERATOR NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
