﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCPOS_ELECTCONTENT', 'T_OCPOS_ELECTCONTENT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_ELECTSCHEME_EID') CREATE INDEX IDX_OCPOS_ELECTSCHEME_EID ON T_OCPOS_ELECTCONTENT ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_ELECTSCHEME', 'T_OCPOS_ELECTSCHEME', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_ELECTSCHEME_ID') CREATE INDEX IDX_OCPOS_ELECTSCHEME_ID ON T_OCPOS_ELECTSCHEME ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_ELECTWARRANTY', 'T_OCPOS_ELECTWARRANTY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_ELECTWARRANTY_BNO') CREATE INDEX IDX_OCPOS_ELECTWARRANTY_BNO ON T_OCPOS_ELECTWARRANTY ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_GIFTRECBILL', 'T_OCPOS_GIFTRECBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_GIFTRECBILL_NO') CREATE INDEX IDX_OCPOS_GIFTRECBILL_NO ON T_OCPOS_GIFTRECBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_GIFTRECENTRY', 'T_OCPOS_GIFTRECENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_GIFTRECENTRY_FID') CREATE INDEX IDX_OCPOS_GIFTRECENTRY_FID ON T_OCPOS_GIFTRECENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSACTIVITYCFG', 'T_OCPOS_OLSACTIVITYCFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSACTIVITYCFG_NO') CREATE INDEX IDX_OCPOS_OLSACTIVITYCFG_NO ON T_OCPOS_OLSACTIVITYCFG ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_OLSACTIVITYCHAL', 'T_OCPOS_OLSACTIVITYCHAL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSACTIVITYCHAL_ID') CREATE INDEX IDX_OCPOS_OLSACTIVITYCHAL_ID ON T_OCPOS_OLSACTIVITYCHAL ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSACTIVITYITEM', 'T_OCPOS_OLSACTIVITYITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSACTIVITYITEM_ID') CREATE INDEX IDX_OCPOS_OLSACTIVITYITEM_ID ON T_OCPOS_OLSACTIVITYITEM ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSACTIVITYORY', 'T_OCPOS_OLSACTIVITYORY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSACTIVITYORY_ID') CREATE INDEX IDX_OCPOS_OLSACTIVITYORY_ID ON T_OCPOS_OLSACTIVITYORY ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSACTIVITYSTORE', 'T_OCPOS_OLSACTIVITYSTORE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSACTIVITYSTORE_ID') CREATE INDEX IDX_OCPOS_OLSACTIVITYSTORE_ID ON T_OCPOS_OLSACTIVITYSTORE ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_RECEIPT', 'T_OCPOS_RECEIPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_RECEIPT_NO') CREATE INDEX IDX_OCPOS_RECEIPT_NO ON T_OCPOS_RECEIPT ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_RECEIPTADJUST', 'T_OCPOS_RECEIPTADJUST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_RECEIPTADJUST_NO') CREATE INDEX IDX_OCPOS_RECEIPTADJUST_NO ON T_OCPOS_RECEIPTADJUST ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_RECEIPTADJUSTE', 'T_OCPOS_RECEIPTADJUSTE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_RECEIPTADJUSTE_ID') CREATE INDEX IDX_OCPOS_RECEIPTADJUSTE_ID ON T_OCPOS_RECEIPTADJUSTE ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_RECEIPTENTRY', 'T_OCPOS_RECEIPTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_RECEIPTENTRY_FID') CREATE INDEX IDX_OCPOS_RECEIPTENTRY_FID ON T_OCPOS_RECEIPTENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_RECEIVEBILLE', 'T_OCPOS_RECEIVEBILLE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_RECEIVEBILLE_ID') CREATE INDEX IDX_OCPOS_RECEIVEBILLE_ID ON T_OCPOS_RECEIVEBILLE ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_RECEIVEBILLE_F', 'T_OCPOS_RECEIVEBILLE_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_RECEIVEBILLEF_ID') CREATE INDEX IDX_OCPOS_RECEIVEBILLEF_ID ON T_OCPOS_RECEIVEBILLE_F ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_RECEIVEBILL', 'T_OCPOS_RECEIVEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_RECEIVEBILL_BILLNO') CREATE INDEX IDX_OCPOS_RECEIVEBILL_BILLNO ON T_OCPOS_RECEIVEBILL ( FBILLNO );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_constraint.sql **/
