﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTINGMAP') 
 CREATE TABLE T_OCPOS_OLSSETTINGMAP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOGOTYPEPARENTUID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOGOTYPEFLEXSEQ INT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_CLEANSERVE' AND KSQL_COL_NAME ='FEVALUATEDATE') 
 ALTER TABLE T_OCPOS_CLEANSERVE ADD (FEVALUATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_CLEANSERVE' AND KSQL_COL_NAME ='FISDEFAULT') 
 ALTER TABLE T_OCPOS_CLEANSERVE ADD (FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_OCPOS_OLSSCR_CUS', 'FPKID', 'BIGINT', 'NOT NULL', '1111', '0';

 EXEC p_AlterColumn 'T_OCPOS_OLSSCR_ORG', 'FPKID', 'BIGINT', 'NOT NULL', '1111', '0';

 EXEC p_AlterColumn 'T_OCPOS_OLSW_CUS', 'FPKID', 'BIGINT', 'NOT NULL', '1111', '0';

 EXEC p_AlterColumn 'T_OCPOS_OLSW_ORG', 'FPKID', 'BIGINT', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTINGBRANCH') 
 CREATE TABLE T_OCPOS_OLSSETTINGBRANCH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPOINT' AND KSQL_COL_NAME ='FINTEGRALVALUE') 
 ALTER TABLE T_OCPOS_SALEORDERPOINT ADD (FINTEGRALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPOINT' AND KSQL_COL_NAME ='FGOODSNAME') 
 ALTER TABLE T_OCPOS_SALEORDERPOINT ADD (FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPOINT' AND KSQL_COL_NAME ='FISEXECUTE') 
 ALTER TABLE T_OCPOS_SALEORDERPOINT ADD (FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPOINT' AND KSQL_COL_NAME ='FINTEGRALVALUE') 
 ALTER TABLE T_OCPOS_SALERETURNPOINT ADD (FINTEGRALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPOINT' AND KSQL_COL_NAME ='FGOODSNAME') 
 ALTER TABLE T_OCPOS_SALERETURNPOINT ADD (FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPOINT' AND KSQL_COL_NAME ='FISEXECUTE') 
 ALTER TABLE T_OCPOS_SALERETURNPOINT ADD (FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNITEM_F' AND KSQL_COL_NAME ='FDISCOUNTVALUEDED') 
 ALTER TABLE T_OCPOS_SALERETURNITEM_F ADD (FDISCOUNTVALUEDED DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNITEM_F' AND KSQL_COL_NAME ='FDISCOUNTCUSTCPST') 
 ALTER TABLE T_OCPOS_SALERETURNITEM_F ADD (FDISCOUNTCUSTCPST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEITEM_S' AND KSQL_COL_NAME ='FDISCOUNTVALUEDED') 
 ALTER TABLE T_OCPOS_SALECHANGEITEM_S ADD (FDISCOUNTVALUEDED DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEITEM_S' AND KSQL_COL_NAME ='FDISCOUNTCUSTCPST') 
 ALTER TABLE T_OCPOS_SALECHANGEITEM_S ADD (FDISCOUNTCUSTCPST DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPOINT' AND KSQL_COL_NAME ='FINTEGRALVALUE') 
 ALTER TABLE T_OCPOS_SALECHANGEPOINT ADD (FINTEGRALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPOINT' AND KSQL_COL_NAME ='FGOODSNAME') 
 ALTER TABLE T_OCPOS_SALECHANGEPOINT ADD (FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPOINT' AND KSQL_COL_NAME ='FISEXECUTE') 
 ALTER TABLE T_OCPOS_SALECHANGEPOINT ADD (FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_OCPOS_SALEORDERTICKET', 'FGOODSSEQ', 'VARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERTICKET' AND KSQL_COL_NAME ='FTICKETVALUE') 
 ALTER TABLE T_OCPOS_SALEORDERTICKET ADD (FTICKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERTICKET' AND KSQL_COL_NAME ='FGOODSNAME') 
 ALTER TABLE T_OCPOS_SALEORDERTICKET ADD (FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERTICKET' AND KSQL_COL_NAME ='FISEXECUTE') 
 ALTER TABLE T_OCPOS_SALEORDERTICKET ADD (FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEGIFT' AND KSQL_COL_NAME ='FUNITID') 
 ALTER TABLE T_OCPOS_SALECHANGEGIFT ADD (FUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEGIFT' AND KSQL_COL_NAME ='FGIFTVALUE') 
 ALTER TABLE T_OCPOS_SALECHANGEGIFT ADD (FGIFTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEGIFT' AND KSQL_COL_NAME ='FGOODSNAME') 
 ALTER TABLE T_OCPOS_SALECHANGEGIFT ADD (FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_OCPOS_SALECHANGETICKET', 'FGOODSSEQ', 'VARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGETICKET' AND KSQL_COL_NAME ='FTICKETVALUE') 
 ALTER TABLE T_OCPOS_SALECHANGETICKET ADD (FTICKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGETICKET' AND KSQL_COL_NAME ='FGOODSNAME') 
 ALTER TABLE T_OCPOS_SALECHANGETICKET ADD (FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGETICKET' AND KSQL_COL_NAME ='FISEXECUTE') 
 ALTER TABLE T_OCPOS_SALECHANGETICKET ADD (FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERGIFT' AND KSQL_COL_NAME ='FUNITID') 
 ALTER TABLE T_OCPOS_SALEORDERGIFT ADD (FUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERGIFT' AND KSQL_COL_NAME ='FGIFTVALUE') 
 ALTER TABLE T_OCPOS_SALEORDERGIFT ADD (FGIFTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERGIFT' AND KSQL_COL_NAME ='FGOODSNAME') 
 ALTER TABLE T_OCPOS_SALEORDERGIFT ADD (FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNGIFT' AND KSQL_COL_NAME ='FUNITID') 
 ALTER TABLE T_OCPOS_SALERETURNGIFT ADD (FUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNGIFT' AND KSQL_COL_NAME ='FGIFTVALUE') 
 ALTER TABLE T_OCPOS_SALERETURNGIFT ADD (FGIFTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNGIFT' AND KSQL_COL_NAME ='FGOODSNAME') 
 ALTER TABLE T_OCPOS_SALERETURNGIFT ADD (FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SALERETURNTICKET') 
 CREATE TABLE T_OCPOS_SALERETURNTICKET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FGOODSSEQ VARCHAR(255) DEFAULT ' ' NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FQTY INT DEFAULT 0 NOT NULL,
FTICKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGOODSNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISEXECUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERITEM_S' AND KSQL_COL_NAME ='FADRETGIFTDISCAMOUNT') 
 ALTER TABLE T_OCPOS_SALEORDERITEM_S ADD (FADRETGIFTDISCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
