﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_SYSPARAM') 
 CREATE TABLE T_OCPOS_SYSPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FOPENCASHBOXOFFSALE CHAR(1) DEFAULT '0' NOT NULL,
FALLOWCLOSEPAY CHAR(1) DEFAULT '0' NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FDEFCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPRINTCOUNT INT DEFAULT 0 NOT NULL,
FHEARDER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFOOTER NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPRICELOWERFORIMPORT CHAR(1) DEFAULT '0' NOT NULL,
FSALECUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FWIPEZEROMODE CHAR(1) DEFAULT 'A' NOT NULL,
FISMUSTINPUTMEMBER CHAR(1) DEFAULT '1' NOT NULL,
FISENBLEPRICEPOLICY CHAR(1) DEFAULT '1' NOT NULL,
FSALEORDERDEFCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FISALLOWZEROSALENOGIFT CHAR(1) DEFAULT '0' NOT NULL,
FISALLOWZEROSETTLEORDER CHAR(1) DEFAULT '0' NOT NULL,
FISCTRLWITHRETURNRULE CHAR(1) DEFAULT '1' NOT NULL,
FRETURNREASONMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FLOTCODERULEID BIGINT DEFAULT 0 NOT NULL,
FISENABLEBOOKPOLICY CHAR(1) DEFAULT '0' NOT NULL,
FISENABLEBALANCEPOLICY CHAR(1) DEFAULT '0' NOT NULL,
FISENABLEUSERSCOPES CHAR(1) DEFAULT '0' NOT NULL,
FISCONTROLRETURNAMOUNT CHAR(1) DEFAULT '1' NOT NULL,
FMAXRUTURNAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISAUTOPUBLISH CHAR(1) DEFAULT '1' NOT NULL,
FISSALERMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FOLSTOREDEFAULTSALERID BIGINT DEFAULT 0 NOT NULL,
FPRESETTLEUSETICKET CHAR(1) DEFAULT '0' NOT NULL,
FISALLOWGIFTEXCESS CHAR(1) DEFAULT '0' NOT NULL,
FCASHCOUPONRETURNMODE CHAR(1) DEFAULT '4' NOT NULL,
FPOINTRETURNMODE CHAR(1) DEFAULT '4' NOT NULL,
FBOOKEXEDISCTIMING CHAR(1) DEFAULT '1' NOT NULL,
FRETFINALAMTHANDLEMODE CHAR(1) DEFAULT '1' NOT NULL,
FGIFTPRICESOURCEMODE CHAR(1) DEFAULT '0' NOT NULL,
FONLINETAKEPRICEWAY CHAR(1) DEFAULT '1' NOT NULL,
FVIPDISCOUNTWAY CHAR(1) DEFAULT '1' NOT NULL,
FENABLECOUNSELOR CHAR(1) DEFAULT '0' NOT NULL,
FINVQUERYRANGE CHAR(1) DEFAULT '0' NOT NULL,
FCHANGEDEFECTDEFINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FSALEORDERDEFINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FISAUTOPAYMENTBILL CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_OLSSHARECLICK' AND KSQL_COL_NAME ='FTICKETNO') 
 ALTER TABLE T_OCPOS_OLSSHARECLICK ADD (FTICKETNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPROM' AND KSQL_COL_NAME ='FGIFTPRICE') 
 ALTER TABLE T_OCPOS_SALECHANGEPROM ADD (FGIFTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPROM' AND KSQL_COL_NAME ='FGIFTVALUE') 
 ALTER TABLE T_OCPOS_SALECHANGEPROM ADD (FGIFTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPROM' AND KSQL_COL_NAME ='FINTEGRALVALUE') 
 ALTER TABLE T_OCPOS_SALECHANGEPROM ADD (FINTEGRALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGEPROM' AND KSQL_COL_NAME ='FTICKETVALUE') 
 ALTER TABLE T_OCPOS_SALECHANGEPROM ADD (FTICKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPROMSUB' AND KSQL_COL_NAME ='FGIFTPRICE') 
 ALTER TABLE T_OCPOS_SALEORDERPROMSUB ADD (FGIFTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPROMSUB' AND KSQL_COL_NAME ='FGIFTVALUE') 
 ALTER TABLE T_OCPOS_SALEORDERPROMSUB ADD (FGIFTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPROMSUB' AND KSQL_COL_NAME ='FINTEGRALVALUE') 
 ALTER TABLE T_OCPOS_SALEORDERPROMSUB ADD (FINTEGRALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERPROMSUB' AND KSQL_COL_NAME ='FTICKETVALUE') 
 ALTER TABLE T_OCPOS_SALEORDERPROMSUB ADD (FTICKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPROM' AND KSQL_COL_NAME ='FGIFTPRICE') 
 ALTER TABLE T_OCPOS_SALERETURNPROM ADD (FGIFTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPROM' AND KSQL_COL_NAME ='FGIFTVALUE') 
 ALTER TABLE T_OCPOS_SALERETURNPROM ADD (FGIFTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPROM' AND KSQL_COL_NAME ='FINTEGRALVALUE') 
 ALTER TABLE T_OCPOS_SALERETURNPROM ADD (FINTEGRALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPROM' AND KSQL_COL_NAME ='FTICKETVALUE') 
 ALTER TABLE T_OCPOS_SALERETURNPROM ADD (FTICKETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
