﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_PAYLOG') 
 CREATE TABLE T_OCPOS_PAYLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREQTIME DATETIME,
FRESTIME DATETIME,
FREQLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FREQLOG_ENP NCLOB,
FRESLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRESLOG_ENP NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURN_O' AND KSQL_COL_NAME ='FSRCCHANGEITEMTYPE') 
 ALTER TABLE T_OCPOS_SALERETURN_O ADD (FSRCCHANGEITEMTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURN_O' AND KSQL_COL_NAME ='FEXECUTESTATE') 
 ALTER TABLE T_OCPOS_SALERETURN_O ADD (FEXECUTESTATE CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_OCPOS_SALEORDER_O', 'FSRCBIZTYPE', 'CHAR(1)', 'NOT NULL', '0001', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDER_O' AND KSQL_COL_NAME ='FSRCCHANGEITEMTYPE') 
 ALTER TABLE T_OCPOS_SALEORDER_O ADD (FSRCCHANGEITEMTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDER_O' AND KSQL_COL_NAME ='FEXECUTESTATE') 
 ALTER TABLE T_OCPOS_SALEORDER_O ADD (FEXECUTESTATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGE_O' AND KSQL_COL_NAME ='FSALEORDEREXECUTESTATE') 
 ALTER TABLE T_OCPOS_SALECHANGE_O ADD (FSALEORDEREXECUTESTATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALECHANGE_O' AND KSQL_COL_NAME ='FRETURNEXECUTESTATE') 
 ALTER TABLE T_OCPOS_SALECHANGE_O ADD (FRETURNEXECUTESTATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SYSPARAM' AND KSQL_COL_NAME ='FQUERYVIPCONSUMESCOPE') 
 ALTER TABLE T_OCPOS_SYSPARAM ADD (FQUERYVIPCONSUMESCOPE CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SYSPARAM' AND KSQL_COL_NAME ='FNOSRCRETURNCHECKLOT') 
 ALTER TABLE T_OCPOS_SYSPARAM ADD (FNOSRCRETURNCHECKLOT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SYSPARAM' AND KSQL_COL_NAME ='FNOSRCRETURNCHECKSERIAL') 
 ALTER TABLE T_OCPOS_SYSPARAM ADD (FNOSRCRETURNCHECKSERIAL CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
