﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCPOS_PAYINTERFACELOG', 'T_OCPOS_PAYINTERFACELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PAYLOG_NUM') CREATE INDEX IDX_OCPOS_PAYLOG_NUM ON T_OCPOS_PAYINTERFACELOG ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDER_T', 'T_OCPOS_SALEORDER_T', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDER_T_NAME') CREATE INDEX IDX_OCPOS_SALEORDER_T_NAME ON T_OCPOS_SALEORDER_T ( FNAME );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERITEM', 'T_OCPOS_SALEORDERITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERITEM_FID') CREATE INDEX IDX_OCPOS_SALEORDERITEM_FID ON T_OCPOS_SALEORDERITEM ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERPROMSUB', 'T_OCPOS_SALEORDERPROMSUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERPRSUB_EID') CREATE INDEX IDX_OCPOS_SALEORDERPRSUB_EID ON T_OCPOS_SALEORDERPROMSUB ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSCART', 'T_OCPOS_OLSCART', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSCART_USER') CREATE INDEX IDX_OCPOS_OLSCART_USER ON T_OCPOS_OLSCART ( FUSERID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSCONFIG', 'T_OCPOS_OLSCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSCONFIG_NUMBER') CREATE INDEX IDX_OCPOS_OLSCONFIG_NUMBER ON T_OCPOS_OLSCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCPOS_OLSCONFIG_L', 'T_OCPOS_OLSCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSCONFIGL_FIDLID') CREATE INDEX IDX_OCPOS_OLSCONFIGL_FIDLID ON T_OCPOS_OLSCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSSCR_CUS', 'T_OCPOS_OLSSCR_CUS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSSCRCUS_BASEID') CREATE INDEX IDX_OCPOS_OLSSCRCUS_BASEID ON T_OCPOS_OLSSCR_CUS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSSCR_ORG', 'T_OCPOS_OLSSCR_ORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSSCRORG_BASEID') CREATE INDEX IDX_OCPOS_OLSSCRORG_BASEID ON T_OCPOS_OLSSCR_ORG ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSSCRIMGE_FJ', 'T_OCPOS_OLSSCRIMGE_FJ', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSSCRIMGEFJ_EID') CREATE INDEX IDX_OCPOS_OLSSCRIMGEFJ_EID ON T_OCPOS_OLSSCRIMGE_FJ ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSW_CUS', 'T_OCPOS_OLSW_CUS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSWCUS_DID') CREATE INDEX IDX_OCPOS_OLSWCUS_DID ON T_OCPOS_OLSW_CUS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSW_ORG', 'T_OCPOS_OLSW_ORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSWORG_DID') CREATE INDEX IDX_OCPOS_OLSWORG_DID ON T_OCPOS_OLSW_ORG ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSWDENTRY_FJ', 'T_OCPOS_OLSWDENTRY_FJ', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSWDEFJ_EID') CREATE INDEX IDX_OCPOS_OLSWDEFJ_EID ON T_OCPOS_OLSWDENTRY_FJ ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSWINDOW', 'T_OCPOS_OLSWINDOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSWINDOW_NUM') CREATE INDEX IDX_OCPOS_OLSWINDOW_NUM ON T_OCPOS_OLSWINDOW ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCPOS_OLSSCROLLIMGE', 'T_OCPOS_OLSSCROLLIMGE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSSCROLLIMGE_FID') CREATE INDEX IDX_OCPOS_OLSSCROLLIMGE_FID ON T_OCPOS_OLSSCROLLIMGE ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSWINDOW_ENTRY', 'T_OCPOS_OLSWINDOW_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSWINDOWENTRY_ID') CREATE INDEX IDX_OCPOS_OLSWINDOWENTRY_ID ON T_OCPOS_OLSWINDOW_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSWINDOW_DETAIL', 'T_OCPOS_OLSWINDOW_DETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSWINDOWDETL_EID') CREATE INDEX IDX_OCPOS_OLSWINDOWDETL_EID ON T_OCPOS_OLSWINDOW_DETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERTICKET', 'T_OCPOS_SALEORDERTICKET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERTICKET_ID') CREATE INDEX IDX_OCPOS_SALEORDERTICKET_ID ON T_OCPOS_SALEORDERTICKET ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDER_O', 'T_OCPOS_SALEORDER_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDER_O_CPID') CREATE INDEX IDX_OCPOS_SALEORDER_O_CPID ON T_OCPOS_SALEORDER_O ( FCHANGEPRICEOPRID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERFIN', 'T_OCPOS_SALEORDERFIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERFIN_ID') CREATE INDEX IDX_OCPOS_SALEORDERFIN_ID ON T_OCPOS_SALEORDERFIN ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERITEM_R', 'T_OCPOS_SALEORDERITEM_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERITEMR_ID') CREATE INDEX IDX_OCPOS_SALEORDERITEMR_ID ON T_OCPOS_SALEORDERITEM_R ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSSCROLLIMG', 'T_OCPOS_OLSSCROLLIMG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSSCROLLIMG_NUM') CREATE INDEX IDX_OCPOS_OLSSCROLLIMG_NUM ON T_OCPOS_OLSSCROLLIMG ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDER_F', 'T_OCPOS_SALEORDER_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERF_CID') CREATE INDEX IDX_OCPOS_SALEORDERF_CID ON T_OCPOS_SALEORDER_F ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERITEM_F', 'T_OCPOS_SALEORDERITEM_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERITEMF_ID') CREATE INDEX IDX_OCPOS_SALEORDERITEMF_ID ON T_OCPOS_SALEORDERITEM_F ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDER', 'T_OCPOS_SALEORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDER_NO') CREATE INDEX IDX_OCPOS_SALEORDER_NO ON T_OCPOS_SALEORDER ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERDR', 'T_OCPOS_SALEORDERDR', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERDR_EID') CREATE INDEX IDX_OCPOS_SALEORDERDR_EID ON T_OCPOS_SALEORDERDR ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERITEM_S', 'T_OCPOS_SALEORDERITEM_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERITEMS_ID') CREATE INDEX IDX_OCPOS_SALEORDERITEMS_ID ON T_OCPOS_SALEORDERITEM_S ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERITEM_O', 'T_OCPOS_SALEORDERITEM_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERITEMO_ID') CREATE INDEX IDX_OCPOS_SALEORDERITEMO_ID ON T_OCPOS_SALEORDERITEM_O ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINAL', 'T_OCPOS_SALEFINAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINAL_NO') CREATE INDEX IDX_OCPOS_SALEFINAL_NO ON T_OCPOS_SALEFINAL ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINAL_F', 'T_OCPOS_SALEFINAL_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINALF_CID') CREATE INDEX IDX_OCPOS_SALEFINALF_CID ON T_OCPOS_SALEFINAL_F ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINAL_O', 'T_OCPOS_SALEFINAL_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINAL_O_CPID') CREATE INDEX IDX_OCPOS_SALEFINAL_O_CPID ON T_OCPOS_SALEFINAL_O ( FCHANGEPRICEOPRID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINALFIN', 'T_OCPOS_SALEFINALFIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINALFIN_ID') CREATE INDEX IDX_OCPOS_SALEFINALFIN_ID ON T_OCPOS_SALEFINALFIN ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINALITEM', 'T_OCPOS_SALEFINALITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINALITEM_FID') CREATE INDEX IDX_OCPOS_SALEFINALITEM_FID ON T_OCPOS_SALEFINALITEM ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINALITEM_F', 'T_OCPOS_SALEFINALITEM_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINALITEMF_ID') CREATE INDEX IDX_OCPOS_SALEFINALITEMF_ID ON T_OCPOS_SALEFINALITEM_F ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINALITEM_O', 'T_OCPOS_SALEFINALITEM_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINALITEMO_ID') CREATE INDEX IDX_OCPOS_SALEFINALITEMO_ID ON T_OCPOS_SALEFINALITEM_O ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINALITEM_R', 'T_OCPOS_SALEFINALITEM_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINALITEMR_ID') CREATE INDEX IDX_OCPOS_SALEFINALITEMR_ID ON T_OCPOS_SALEFINALITEM_R ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINALITEM_S', 'T_OCPOS_SALEFINALITEM_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINALITEMS_ID') CREATE INDEX IDX_OCPOS_SALEFINALITEMS_ID ON T_OCPOS_SALEFINALITEM_S ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEFINALAR', 'T_OCPOS_SALEFINALAR', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEFINALAR_FID') CREATE INDEX IDX_OCPOS_SALEFINALAR_FID ON T_OCPOS_SALEFINALAR ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURN', 'T_OCPOS_SALERETURN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURN_NO') CREATE INDEX IDX_OCPOS_SALERETURN_NO ON T_OCPOS_SALERETURN ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURN_F', 'T_OCPOS_SALERETURN_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNF_CID') CREATE INDEX IDX_OCPOS_SALERETURNF_CID ON T_OCPOS_SALERETURN_F ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURN_O', 'T_OCPOS_SALERETURN_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURN_O_CPID') CREATE INDEX IDX_OCPOS_SALERETURN_O_CPID ON T_OCPOS_SALERETURN_O ( FCHANGEPRICEOPRID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURN_T', 'T_OCPOS_SALERETURN_T', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURN_T_NAME') CREATE INDEX IDX_OCPOS_SALERETURN_T_NAME ON T_OCPOS_SALERETURN_T ( FNAME );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNDR', 'T_OCPOS_SALERETURNDR', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNDR_EID') CREATE INDEX IDX_OCPOS_SALERETURNDR_EID ON T_OCPOS_SALERETURNDR ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNFIN', 'T_OCPOS_SALERETURNFIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNFIN_ID') CREATE INDEX IDX_OCPOS_SALERETURNFIN_ID ON T_OCPOS_SALERETURNFIN ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNITEM', 'T_OCPOS_SALERETURNITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNITEM_FID') CREATE INDEX IDX_OCPOS_SALERETURNITEM_FID ON T_OCPOS_SALERETURNITEM ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNITEM_F', 'T_OCPOS_SALERETURNITEM_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNITEMF_ID') CREATE INDEX IDX_OCPOS_SALERETURNITEMF_ID ON T_OCPOS_SALERETURNITEM_F ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNITEM_O', 'T_OCPOS_SALERETURNITEM_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNITEMO_ID') CREATE INDEX IDX_OCPOS_SALERETURNITEMO_ID ON T_OCPOS_SALERETURNITEM_O ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNITEM_R', 'T_OCPOS_SALERETURNITEM_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNITEMR_ID') CREATE INDEX IDX_OCPOS_SALERETURNITEMR_ID ON T_OCPOS_SALERETURNITEM_R ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNITEM_S', 'T_OCPOS_SALERETURNITEM_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNITEMS_ID') CREATE INDEX IDX_OCPOS_SALERETURNITEMS_ID ON T_OCPOS_SALERETURNITEM_S ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNPROM', 'T_OCPOS_SALERETURNPROM', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNPROM_EID') CREATE INDEX IDX_OCPOS_SALERETURNPROM_EID ON T_OCPOS_SALERETURNPROM ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERGIFT', 'T_OCPOS_SALEORDERGIFT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERGIFT_FID') CREATE INDEX IDX_OCPOS_SALEORDERGIFT_FID ON T_OCPOS_SALEORDERGIFT ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERPOINT', 'T_OCPOS_SALEORDERPOINT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERPOINT_FID') CREATE INDEX IDX_OCPOS_SALEORDERPOINT_FID ON T_OCPOS_SALEORDERPOINT ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERDR_O', 'T_OCPOS_SALEORDERDR_O', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERDRO_EID') CREATE INDEX IDX_OCPOS_SALEORDERDRO_EID ON T_OCPOS_SALEORDERDR_O ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNDR_O', 'T_OCPOS_SALERETURNDR_O', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNDRO_EID') CREATE INDEX IDX_OCPOS_SALERETURNDRO_EID ON T_OCPOS_SALERETURNDR_O ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNPOINT', 'T_OCPOS_SALERETURNPOINT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNPOINT_FID') CREATE INDEX IDX_OCPOS_SALERETURNPOINT_FID ON T_OCPOS_SALERETURNPOINT ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERPRO', 'T_OCPOS_SALEORDERPRO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERPRO_ID') CREATE INDEX IDX_OCPOS_SALEORDERPRO_ID ON T_OCPOS_SALEORDERPRO ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_IMPREST', 'T_OCPOS_IMPREST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_OCPOS_IMPREST_NO') CREATE INDEX T_OCPOS_IMPREST_NO ON T_OCPOS_IMPREST ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_IMPRESTENTRY', 'T_OCPOS_IMPRESTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_IMPRESTENTRY_FID') CREATE INDEX IDX_OCPOS_IMPRESTENTRY_FID ON T_OCPOS_IMPRESTENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_PAYMENT', 'T_OCPOS_PAYMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PAYMENT_NO') CREATE INDEX IDX_OCPOS_PAYMENT_NO ON T_OCPOS_PAYMENT ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_PAYMENTENTRY', 'T_OCPOS_PAYMENTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PAYMENTENTRY_FID') CREATE INDEX IDX_OCPOS_PAYMENTENTRY_FID ON T_OCPOS_PAYMENTENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_PAYMENTSTRING', 'T_OCPOS_PAYMENTSTRING', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PAYMENTSTRING_EID') CREATE INDEX IDX_OCPOS_PAYMENTSTRING_EID ON T_OCPOS_PAYMENTSTRING ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGE', 'T_OCPOS_SALECHANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGE_NO') CREATE INDEX IDX_OCPOS_SALECHANGE_NO ON T_OCPOS_SALECHANGE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGE_F', 'T_OCPOS_SALECHANGE_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGE_CID') CREATE INDEX IDX_OCPOS_SALECHANGE_CID ON T_OCPOS_SALECHANGE_F ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGE_O', 'T_OCPOS_SALECHANGE_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGE_O_CPID') CREATE INDEX IDX_OCPOS_SALECHANGE_O_CPID ON T_OCPOS_SALECHANGE_O ( FCHANGEPRICEOPRID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGE_T', 'T_OCPOS_SALECHANGE_T', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGET_TYPE') CREATE INDEX IDX_OCPOS_SALECHANGET_TYPE ON T_OCPOS_SALECHANGE_T ( FOPENQUOTYPE );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEDR', 'T_OCPOS_SALECHANGEDR', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEDR_EID') CREATE INDEX IDX_OCPOS_SALECHANGEDR_EID ON T_OCPOS_SALECHANGEDR ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEDR_O', 'T_OCPOS_SALECHANGEDR_O', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEDRO_EID') CREATE INDEX IDX_OCPOS_SALECHANGEDRO_EID ON T_OCPOS_SALECHANGEDR_O ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEFIN', 'T_OCPOS_SALECHANGEFIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEFIN_ID') CREATE INDEX IDX_OCPOS_SALECHANGEFIN_ID ON T_OCPOS_SALECHANGEFIN ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEITEM', 'T_OCPOS_SALECHANGEITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEITEM_FID') CREATE INDEX IDX_OCPOS_SALECHANGEITEM_FID ON T_OCPOS_SALECHANGEITEM ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEITEM_F', 'T_OCPOS_SALECHANGEITEM_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEITEMF_ID') CREATE INDEX IDX_OCPOS_SALECHANGEITEMF_ID ON T_OCPOS_SALECHANGEITEM_F ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEITEM_O', 'T_OCPOS_SALECHANGEITEM_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEITEMO_ID') CREATE INDEX IDX_OCPOS_SALECHANGEITEMO_ID ON T_OCPOS_SALECHANGEITEM_O ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEITEM_R', 'T_OCPOS_SALECHANGEITEM_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEITEMR_ID') CREATE INDEX IDX_OCPOS_SALECHANGEITEMR_ID ON T_OCPOS_SALECHANGEITEM_R ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEITEM_S', 'T_OCPOS_SALECHANGEITEM_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEITEMS_ID') CREATE INDEX IDX_OCPOS_SALECHANGEITEMS_ID ON T_OCPOS_SALECHANGEITEM_S ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEPROM', 'T_OCPOS_SALECHANGEPROM', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEPROM_EID') CREATE INDEX IDX_OCPOS_SALECHANGEPROM_EID ON T_OCPOS_SALECHANGEPROM ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SHIFT', 'T_OCPOS_SHIFT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SHIFT_NO') CREATE INDEX IDX_OCPOS_SHIFT_NO ON T_OCPOS_SHIFT ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_SHIFTENTRY', 'T_OCPOS_SHIFTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SHIFTENTRY_FID') CREATE INDEX IDX_OCPOS_SHIFTENTRY_FID ON T_OCPOS_SHIFTENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_CREDITADJUST', 'T_OCPOS_CREDITADJUST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_CREDITADJUST_NO') CREATE INDEX IDX_OCPOS_CREDITADJUST_NO ON T_OCPOS_CREDITADJUST ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_CREDITADJENTRY', 'T_OCPOS_CREDITADJENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_CREDITADJENTRY_FID') CREATE INDEX IDX_OCPOS_CREDITADJENTRY_FID ON T_OCPOS_CREDITADJENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_CLEANSERVE', 'T_OCPOS_CLEANSERVE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_CLEANSERVE_NO') CREATE INDEX IDX_OCPOS_CLEANSERVE_NO ON T_OCPOS_CLEANSERVE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_SERVEEVALUATE', 'T_OCPOS_SERVEEVALUATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SERVEEVALUATE_NO') CREATE INDEX IDX_OCPOS_SERVEEVALUATE_NO ON T_OCPOS_SERVEEVALUATE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_SERVEEVALUATE_L', 'T_OCPOS_SERVEEVALUATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SERVEEVALUATEL_LID') CREATE INDEX IDX_OCPOS_SERVEEVALUATEL_LID ON T_OCPOS_SERVEEVALUATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCPOS_SERVEEVALUATESET', 'T_OCPOS_SERVEEVALUATESET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SERVEEVALUATESET_ID') CREATE INDEX IDX_OCPOS_SERVEEVALUATESET_ID ON T_OCPOS_SERVEEVALUATESET ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SERVEEVALUATESUB', 'T_OCPOS_SERVEEVALUATESUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SERVEEVALUATESUB_EID') CREATE INDEX IDX_OCPOS_SERVEEVALUATESUB_EID ON T_OCPOS_SERVEEVALUATESUB ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_OLSSHARECLICK', 'T_OCPOS_OLSSHARECLICK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_OLSSHARECLICK_NO') CREATE INDEX IDX_OCPOS_OLSSHARECLICK_NO ON T_OCPOS_OLSSHARECLICK ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_CHANGERECORD', 'T_OCPOS_CHANGERECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_CHANGERECORD_BILLNO') CREATE INDEX IDX_OCPOS_CHANGERECORD_BILLNO ON T_OCPOS_CHANGERECORD ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_ABNORMALORDER', 'T_OCPOS_ABNORMALORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_ABNORMALORDER_NO') CREATE INDEX IDX_OCPOS_ABNORMALORDER_NO ON T_OCPOS_ABNORMALORDER ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_ABNORMALORDER_O', 'T_OCPOS_ABNORMALORDER_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_ABNORMALORDERO_CRID') CREATE INDEX IDX_OCPOS_ABNORMALORDERO_CRID ON T_OCPOS_ABNORMALORDER_O ( FCREATERID );


 EXEC P_ALTERPK 'PK_OCPOS_ABNORMALORDERE', 'T_OCPOS_ABNORMALORDERE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_ABNORMALORDERE_ID') CREATE INDEX IDX_OCPOS_ABNORMALORDERE_ID ON T_OCPOS_ABNORMALORDERE ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_constraint.sql **/
