﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_OLSCONFIG' AND KSQL_COL_NAME ='FSTOREID') 
 ALTER TABLE T_OCPOS_OLSCONFIG ADD (FSTOREID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_STORECHECKDT') 
 CREATE TABLE T_OCPOS_STORECHECKDT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FITEMUNIT BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FLOT VARCHAR(80) DEFAULT ' ' NOT NULL,
FSERIALNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FBARCODE BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FITEMBRANDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_STORECHECKDT_O') 
 CREATE TABLE T_OCPOS_STORECHECKDT_O (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHECKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYACC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGAINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOSSQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHECKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTYACC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEGAINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASELOSSQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHECKAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGAINAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOSEAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_STORECHECK') 
 CREATE TABLE T_OCPOS_STORECHECK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHECKDATE DATETIME,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCHECKSHEET NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHECKSHEETID BIGINT DEFAULT 0 NOT NULL,
FCOUNTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSCHEMENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSCHEMENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FCHECKERID BIGINT DEFAULT 0 NOT NULL,
FSECCHECKERID BIGINT DEFAULT 0 NOT NULL,
FENABLECHECK CHAR(1) DEFAULT '0' NOT NULL,
FCHECKGROUP CHAR(1) DEFAULT '1' NOT NULL,
FPUSHTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
