﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEPOINT', 'T_OCPOS_SALECHANGEPOINT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEPOINT_ID') CREATE INDEX IDX_OCPOS_SALECHANGEPOINT_ID ON T_OCPOS_SALECHANGEPOINT ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGEGIFT', 'T_OCPOS_SALECHANGEGIFT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGEGIFT_FID') CREATE INDEX IDX_OCPOS_SALECHANGEGIFT_FID ON T_OCPOS_SALECHANGEGIFT ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALECHANGETICKET', 'T_OCPOS_SALECHANGETICKET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALECHANGETICKET_ID') CREATE INDEX IDX_OCPOS_SALECHANGETICKET_ID ON T_OCPOS_SALECHANGETICKET ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_MODELADJUST', 'T_OCPOS_MODELADJUST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_MODELADJUST_STORE') CREATE INDEX IDX_OCPOS_MODELADJUST_STORE ON T_OCPOS_MODELADJUST ( FSTOREID );


 EXEC P_ALTERPK 'PK_OCPOS_MODELRECEIPT', 'T_OCPOS_MODELRECEIPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_MODELRECEIPT_STORE') CREATE INDEX IDX_OCPOS_MODELRECEIPT_STORE ON T_OCPOS_MODELRECEIPT ( FSTOREID );


 EXEC P_ALTERPK 'PK_OCPOS_SALEORDERINVO', 'T_OCPOS_SALEORDERINVO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALEORDERINVO_ID') CREATE INDEX IDX_OCPOS_SALEORDERINVO_ID ON T_OCPOS_SALEORDERINVO ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SALERETURNINVO', 'T_OCPOS_SALERETURNINVO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SALERETURNINVO_ID') CREATE INDEX IDX_OCPOS_SALERETURNINVO_ID ON T_OCPOS_SALERETURNINVO ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_DELIVERY', 'T_OCPOS_DELIVERY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_DELIVERY_BILLNO') CREATE INDEX IDX_OCPOS_DELIVERY_BILLNO ON T_OCPOS_DELIVERY ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_DELIVERYDETAIL', 'T_OCPOS_DELIVERYDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_DELIVERYDETAIL_FID') CREATE INDEX IDX_OCPOS_DELIVERYDETAIL_FID ON T_OCPOS_DELIVERYDETAIL ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_DELIVERYDETAIL_O', 'T_OCPOS_DELIVERYDETAIL_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_DETAIL_O_ID') CREATE INDEX IDX_OCPOS_DETAIL_O_ID ON T_OCPOS_DELIVERYDETAIL_O ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_DELIVERYDETAIL_Q', 'T_OCPOS_DELIVERYDETAIL_Q', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_DETAIL_Q_ID') CREATE INDEX IDX_OCPOS_DETAIL_Q_ID ON T_OCPOS_DELIVERYDETAIL_Q ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_SNRELATION', 'T_OCPOS_SNRELATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SNRELAT_FBID') CREATE INDEX IDX_OCPOS_SNRELAT_FBID ON T_OCPOS_SNRELATION ( FBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SNRELAT_FEID') CREATE INDEX IDX_OCPOS_SNRELAT_FEID ON T_OCPOS_SNRELATION ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCPOS_SNRELATION_E', 'T_OCPOS_SNRELATION_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_SNRELAT_E_FID') CREATE INDEX IDX_OCPOS_SNRELAT_E_FID ON T_OCPOS_SNRELATION_E ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_PURREFAPPLY_F', 'T_OCPOS_PURREFAPPLY_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PURREFAPPLYF_STID') CREATE INDEX IDX_OCPOS_PURREFAPPLYF_STID ON T_OCPOS_PURREFAPPLY_F ( FSETTLETYPEID );


 EXEC P_ALTERPK 'PK_OCPOS_PURREFAPPLY_S', 'T_OCPOS_PURREFAPPLY_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PURREFAPPLYS_SUPID') CREATE INDEX IDX_OCPOS_PURREFAPPLYS_SUPID ON T_OCPOS_PURREFAPPLY_S ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_OCPOS_PURREFAPPLYE_F', 'T_OCPOS_PURREFAPPLYE_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PURREFAPPLYEF_ID') CREATE INDEX IDX_OCPOS_PURREFAPPLYEF_ID ON T_OCPOS_PURREFAPPLYE_F ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_PURREFAPPLYE_R', 'T_OCPOS_PURREFAPPLYE_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PURREFAPPLYER_ID') CREATE INDEX IDX_OCPOS_PURREFAPPLYER_ID ON T_OCPOS_PURREFAPPLYE_R ( FID );


 EXEC P_ALTERPK 'PK_OCPOS_PURREFAPPLY', 'T_OCPOS_PURREFAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PURREFAPPLY_BILLNO') CREATE INDEX IDX_OCPOS_PURREFAPPLY_BILLNO ON T_OCPOS_PURREFAPPLY ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCPOS_PURREFAPPLYE', 'T_OCPOS_PURREFAPPLYE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCPOS_PURREFAPPLYE_ID') CREATE INDEX IDX_OCPOS_PURREFAPPLYE_ID ON T_OCPOS_PURREFAPPLYE ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_constraint.sql **/
