﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERGIFT' AND KSQL_COL_NAME ='FGIFTPRICE') 
 ALTER TABLE T_OCPOS_SALEORDERGIFT ADD (FGIFTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_RECEIPTENTRY' AND KSQL_COL_NAME ='FCOUNTSERVICEAMT') 
 ALTER TABLE T_OCPOS_RECEIPTENTRY ADD (FCOUNTSERVICEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_MODELRECEIPT' AND KSQL_COL_NAME ='FCOUNTSERVICEAMT') 
 ALTER TABLE T_OCPOS_MODELRECEIPT ADD (FCOUNTSERVICEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPROM' AND KSQL_COL_NAME ='FPOINTTYPEID') 
 ALTER TABLE T_OCPOS_SALERETURNPROM ADD (FPOINTTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALERETURNPROM' AND KSQL_COL_NAME ='FCOUPONTYPEID') 
 ALTER TABLE T_OCPOS_SALERETURNPROM ADD (FCOUPONTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_SALEORDERDR_O' AND KSQL_COL_NAME ='FRECEIVEDATE') 
 ALTER TABLE T_OCPOS_SALEORDERDR_O ADD (FRECEIVEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTING') 
 CREATE TABLE T_OCPOS_OLSSETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCLASSSTANDEREDID BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLMETHOD CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTINGCHAL') 
 CREATE TABLE T_OCPOS_OLSSETTINGCHAL (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTINGCHAN') 
 CREATE TABLE T_OCPOS_OLSSETTINGCHAN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTINGHEAD') 
 CREATE TABLE T_OCPOS_OLSSETTINGHEAD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYUID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSECONDITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FISITEMBRAND CHAR(1) DEFAULT '0' NOT NULL,
FISITEMLABLE CHAR(1) DEFAULT '0' NOT NULL,
FTITLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUBSORT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTINGLEFT') 
 CREATE TABLE T_OCPOS_OLSSETTINGLEFT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFIRSTITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FSORT INT DEFAULT 0 NOT NULL,
FISSHOW CHAR(1) DEFAULT '0' NOT NULL,
FSUBSCRIPT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTINGORG') 
 CREATE TABLE T_OCPOS_OLSSETTINGORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCPOS_OLSSETTINGPIC') 
 CREATE TABLE T_OCPOS_OLSSETTINGPIC (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTHIRDITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FITEMBRANDID BIGINT DEFAULT 0 NOT NULL,
FITEMLABLEID BIGINT DEFAULT 0 NOT NULL,
FPICTURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTHIRDSORT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FLOTID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FLOTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FLOTNUMBER') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FLOTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FPRODUCEDATE') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FPRODUCEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FEXPIRYDATE') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FEXPIRYDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FRECEIVEDATE') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FRECEIVEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FWAREHOUSEID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FLOCATIONID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FLOCATIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FINVTYPEID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FINVTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FINVSTATUSID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FINVSTATUSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FKEEPERTYPE') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FKEEPERID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FKEEPERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FOUTINVTYPEID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FOUTINVTYPEID VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FOUTINVSTATUSID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FOUTINVSTATUSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FOUTOWNERTYPE') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FOUTOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FOUTOWNERID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FOUTOWNERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FOUTKEEPERTYPE') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FOUTKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_PURREFAPPLYE' AND KSQL_COL_NAME ='FOUTKEEPERID') 
 ALTER TABLE T_OCPOS_PURREFAPPLYE ADD (FOUTKEEPERID BIGINT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_OCPOS_RECEIVEBILL', 'FPAYMODE', 'VARCHAR(6)', 'NOT NULL', '1111', '''CASH''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_RECEIVEBILLE' AND KSQL_COL_NAME ='FPROVIDERSUPPLIERID') 
 ALTER TABLE T_OCPOS_RECEIVEBILLE ADD (FPROVIDERSUPPLIERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_RECEIVEBILLE' AND KSQL_COL_NAME ='FPROVIDERLINKMANID') 
 ALTER TABLE T_OCPOS_RECEIVEBILLE ADD (FPROVIDERLINKMANID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_RECEIVEBILLE' AND KSQL_COL_NAME ='FPROVIDERADDRESS') 
 ALTER TABLE T_OCPOS_RECEIVEBILLE ADD (FPROVIDERADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_RECEIVEBILLE' AND KSQL_COL_NAME ='FINVOICESUPPLIERID') 
 ALTER TABLE T_OCPOS_RECEIVEBILLE ADD (FINVOICESUPPLIERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_RECEIVEBILLE' AND KSQL_COL_NAME ='FRECEIVESUPPLIERID') 
 ALTER TABLE T_OCPOS_RECEIVEBILLE ADD (FRECEIVESUPPLIERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCPOS_RECEIVEBILLE' AND KSQL_COL_NAME ='FBARCODEID') 
 ALTER TABLE T_OCPOS_RECEIVEBILLE ADD (FBARCODEID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCPOS_table.sql **/
